# HG changeset patch
# User Mark Haelbusch
# Date 1248818405 -7200
# Branch Marky
# Node ID ca1d9c0e8a944a18b672909a1c2b71f7d4f342c1
# Parent  9d67614f62b89d5fc471d2e49eba59dd0192b131
Additional changes from StdStrBuf to StdCopyStrBuf. First fix was only able to compile 'standard', then new errors occured when compiling the whole solution

diff -r 9d67614f62b8 -r ca1d9c0e8a94 engine/inc/C4StringTable.h
--- a/engine/inc/C4StringTable.h	Tue Jul 28 23:19:09 2009 +0200
+++ b/engine/inc/C4StringTable.h	Wed Jul 29 00:00:05 2009 +0200
@@ -42,6 +42,7 @@
 
 	const char * GetCStr() const { return Data.getData(); }
 	StdStrBuf GetData() const { return Data.getRef(); }
+	StdCopyStrBuf GetDataCopy() { return Data; }
 
 	unsigned int Hash;
 	};
diff -r 9d67614f62b8 -r ca1d9c0e8a94 engine/src/C4DefGraphics.cpp
--- a/engine/src/C4DefGraphics.cpp	Tue Jul 28 23:19:09 2009 +0200
+++ b/engine/src/C4DefGraphics.cpp	Wed Jul 29 00:00:05 2009 +0200
@@ -60,10 +60,11 @@
 		return ret;
 	}
 
-	virtual StdStrBuf LoadSkeleton(const char* filename)
+	//virtual StdStrBuf LoadSkeleton(const char* filename)
+	virtual StdCopyStrBuf LoadSkeleton(const char* filename)
 	{
-		StdStrBuf ret;
-		if(!Group.LoadEntryString(filename, ret)) return StdStrBuf();
+		StdCopyStrBuf ret;
+		if(!Group.LoadEntryString(filename, ret)) return StdCopyStrBuf();
 		return ret;
 	}
 
diff -r 9d67614f62b8 -r ca1d9c0e8a94 engine/src/C4Object.cpp
--- a/engine/src/C4Object.cpp	Tue Jul 28 23:19:09 2009 +0200
+++ b/engine/src/C4Object.cpp	Wed Jul 29 00:00:05 2009 +0200
@@ -4097,9 +4097,11 @@
 	if(pMeshInstance)
 		{
 		C4String* Animation = Act ? Act->GetPropertyStr(P_Animation) : NULL;
+		//StdCopyStrBuf Animation2 = Animation->GetDataCopy();
 		if(!Animation || Animation->GetData() == "")
 			pMeshInstance->UnsetAnimation();
-		else if(!pMeshInstance->SetAnimationByName(Animation->GetData()))
+		//else if(!pMeshInstance->SetAnimationByName(Animation->GetData()))
+		else if(!pMeshInstance->SetAnimationByName(Animation->GetDataCopy()))
 			return FALSE;
 		}
 	// Stop previous act sound
